Bug 514991 - rakarrack not built with $RPM_OPT_FLAGS
rakarrack not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rakarrack (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: David Timms
Fedora Extras Quality Assurance
: Regression, Triaged
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-07-31 15:10 EDT by Ville Skyttä
Modified: 2011-05-24 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version: rakarrack-0.6.1-4.git47245c3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-24 22:51:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-07-31 15:10:51 EDT
rakarrack is not built with $RPM_OPT_FLAGS and thus lacks compiler security features and -g resulting in a useless debuginfo package.

There's also something else apparently wrong with the build (maybe some outdated generated files?); after running configure the build ends up invoking autotools and running configure internally again; this might be the root cause.  I haven't checked this, just peeked at the build logs.
Comment 1 David Timms 2009-08-21 05:23:16 EDT
Thanks Ville, for pointing that out. Just back from vacation, should get a chance to look at it this weekend, Dave.
Comment 2 Bug Zapper 2009-11-16 06:12:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ville Skyttä 2010-01-02 15:16:40 EST
ping...
Comment 4 David Timms 2010-01-02 19:35:16 EST
(In reply to comment #1)
> Thanks Ville, for pointing that out. Just back from vacation, should get a
> chance to look at it this weekend, Dave.  
Or maybe this year!

I confirmed that gdb considers -debuginfo useless. Taking a further look.
Comment 5 David Timms 2010-01-03 08:10:09 EST
(In reply to comment #4)
> I confirmed that gdb considers -debuginfo useless. Taking a further look.  
No success with understanding what is going wrong. Asked upstream:
http://sourceforge.net/projects/rakarrack/forums/forum/778861/topic/3505621
Comment 6 David Timms 2010-01-07 09:25:09 EST
Fixed in build rakarrack-0.3.0-5.fc13
http://koji.fedoraproject.org/koji/taskinfo?taskID=1907564

Ville: could you please confirm both proper build and operation, if you get a few moments ?
Comment 7 Ville Skyttä 2010-01-07 11:42:51 EST
That one seems better, however it still passes some gcc flags that might cause problems: I think I've heard -fomit-frame-pointer making the debug info pretty much useless, and -msse2 in the i686 build probably makes the package not work on non-SSE2 x86 boxes (should not be an issue for the x86_64 build, and might be desirable there).

It also still has the problem that it ends up invoking autotools 2nd time after configure which may at least in theory result in our CFLAGS being lost if autotools happen to be installed (look for lines following the first "+ /usr/bin/make -j4" in the build logs).

Also, %configure --disable-dependency-tracking could make the build logs somewhat more readable and result in possible slight build speedups.
Comment 8 Bug Zapper 2010-11-04 06:38:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ville Skyttä 2010-11-04 12:11:14 EDT
Looks like "-msse2 -mfpmath=sse" is the only remaining issue in 0.5.8-2.fc14

http://kojipkgs.fedoraproject.org/packages/rakarrack/0.5.8/2.fc14/data/logs/x86_64/build.log
Comment 10 David Timms 2011-05-11 07:05:16 EDT
By default configure optimizes for the machine it is building upon. I've added arch specific configure options to enable the best options for Fedora x86 and x86_64 compiles. While not strictly using only the Fedora CxxFLAGS, it appears all the correct executable security related items are being passed. Comments ?
Comment 11 Fedora Update System 2011-05-11 09:24:30 EDT
rakarrack-0.6.1-4.git47245c3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rakarrack-0.6.1-4.git47245c3.fc15
Comment 12 Fedora Update System 2011-05-11 09:25:45 EDT
rakarrack-0.6.1-4.git47245c3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rakarrack-0.6.1-4.git47245c3.fc14
Comment 13 Fedora Update System 2011-05-11 09:26:54 EDT
rakarrack-0.6.1-4.git47245c3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rakarrack-0.6.1-4.git47245c3.fc13
Comment 14 Fedora Update System 2011-05-13 19:06:52 EDT
Package rakarrack-0.6.1-4.git47245c3.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rakarrack-0.6.1-4.git47245c3.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rakarrack-0.6.1-4.git47245c3.fc13
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2011-05-24 22:50:49 EDT
rakarrack-0.6.1-4.git47245c3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-05-24 22:55:39 EDT
rakarrack-0.6.1-4.git47245c3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2011-05-24 23:13:37 EDT
rakarrack-0.6.1-4.git47245c3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.